Page MenuHomePhabricator

Enable support for floating-point division reductions
ClosedPublic

Authored by yuyichao on Jun 10 2017, 5:52 AM.

Diff Detail

Event Timeline

yuyichao created this revision.Jun 10 2017, 5:52 AM
mkuper edited reviewers, added: jmolloy; removed: llvm-commits.Jun 19 2017, 5:38 PM
mkuper added a subscriber: llvm-commits.
delena added a subscriber: delena.Jun 22 2017, 12:24 AM

I suggest to add one more test that shows that vectorization does not happen when the reduction variable is the second argument of fdiv.

vchuravy added a project: Restricted Project.Jan 14 2020, 1:29 AM
vtjnash updated this revision to Diff 303518.Nov 6 2020, 11:58 AM
vtjnash edited the summary of this revision. (Show Details)
vtjnash added a subscriber: vtjnash.

add null test as requested, rebase

Herald added a project: Restricted Project. · View Herald TranscriptNov 6 2020, 11:58 AM
Herald added a subscriber: hiraditya. · View Herald Transcript
This revision was not accepted when it landed; it landed in state Needs Review.Nov 23 2020, 5:06 PM
This revision was landed with ongoing or failed builds.
This revision was automatically updated to reflect the committed changes.